Retrieve quotes
curl --request GET \
--url https://sandbox-rampa.mesadepagos.com/api/v2/quotes \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-rampa.mesadepagos.com/api/v2/quotes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-rampa.mesadepagos.com/api/v2/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"transactionType": "withdrawal_express",
"pair": "USDC/BOB",
"serviceExchangeRate": 6.96,
"partnerExchangeRate": 6.96,
"partnerPctFee": 0.5,
"timeStamp": "2026-05-12T12:00:00.000Z"
}
]{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized"
}Quotes
Retrieve quotes
Returns the available payin and payout quotes for the authenticated partner.
GET
/
v2
/
quotes
Retrieve quotes
Authorizations
JWT obtained from /v2/auth/login
Query Parameters
Currency pair to quote.
Available options:
USDC/BOB, BOB/USDC, USDT/BOB, BOB/USDT, USDT/PEN, USDT/BRL, USDT/CLP, USDT/COP, USDC/PEN, USDC/BRL, USDC/CLP, USDC/COP, USDT/USD, USDC/USD, USDT/EUR, USDC/EUR, EURC/EUR Transaction type used to filter the quote.
Available options:
withdrawal_express, deposit_express, withdrawal_ach Response
Available quotes.
Transaction type for the quote.
Available options:
withdrawal_express, deposit_express, withdrawal_ach Example:
"withdrawal_express"
Currency pair used for the quote.
Available options:
USDC/BOB, BOB/USDC, USDT/BOB, BOB/USDT, USDT/PEN, USDT/BRL, USDT/CLP, USDT/COP, USDC/PEN, USDC/BRL, USDC/CLP, USDC/COP, USDT/USD, USDC/USD, USDT/EUR, USDC/EUR, EURC/EUR Example:
"USDC/BOB"
Base service exchange rate.
Example:
6.96
Exchange rate applied to the partner.
Example:
6.96
Percentage fee configured for the partner.
Example:
0.5
Date and time when the quote was generated.
Example:
"2026-05-12T12:00:00.000Z"